Package org.apache.solr.client.solrj.io.stream

## Class DeepRandomStream.TupleWrapper

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.DeepRandomStream.TupleWrapper

All Implemented Interfaces:
  `Comparable<DeepRandomStream.TupleWrapper>`

Enclosing class:
  DeepRandomStream

    protected class DeepRandomStream.TupleWrapper
    extends Object
    implements Comparable<DeepRandomStream.TupleWrapper>

### Constructor Summary

Constructors
`TupleWrapper​(SolrStream stream, StreamComparator comp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(DeepRandomStream.TupleWrapper w)`
`boolean` `equals​(Object o)`
`Tuple` `getTuple()`
`int` `hashCode()`
`boolean` `next()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TupleWrapper

    public TupleWrapper​(SolrStream stream,
                        StreamComparator comp)

### Method Detail

#### compareTo

    public int compareTo​(DeepRandomStream.TupleWrapper w)

Specified by:
  `compareTo` in interface `Comparable<DeepRandomStream.TupleWrapper>`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### getTuple

    public Tuple getTuple()

#### next

    public boolean next()
                 throws IOException

Throws:
  `IOException`